:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    set params = %*:"=""
    echo UAC.ShellExecute "cmd.exe", "/c ""%~f0 %params%""", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    del "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    pushd "%CD%"
    CD /D "%~dp0"
:--------------------------------------

call config.bat
cd ..\..
scoreclient.exe -ini=ocs.ini -RUNNING_AS_SERVICE=YES -SERVICE_NAME=%OcsServiceName% -INSTALL_SERVICE=YES
C:\Windows\system32\sc config pdc_%OcsServiceName% start= delayed-auto depend= pdc_%ScoreServerServiceName% %ScoreServiceNameOption%
C:\Windows\system32\sc description pdc_%OcsServiceName% "Score OCS (Client for Online Coordination System)"
C:\Windows\system32\sc failure pdc_%OcsServiceName% reset= 3600 actions= restart/60000/restart/60000/restart/60000

Pause
